#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_with	tests	# unit tests (circular zope.security dependency)

%define module	zope.component
Summary:	Core of the Zope Component Architecture
Summary(pl.UTF-8):	Rdzeń Zope Component Architecture
Name:		python3-%{module}
Version:	6.0
Release:	1
License:	ZPL v2.1
Group:		Libraries/Python
Source0:	https://files.pythonhosted.org/packages/source/z/zope.component/zope.component-%{version}.tar.gz
# Source0-md5:	55d4d24f425b18e2368a18c468f8cc47
Patch0:		zope.component-intersphinx.patch
URL:		https://www.zope.dev/
BuildRequires:	python3 >= 1:3.7
BuildRequires:	python3-devel >= 1:3.7
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-persistent
BuildRequires:	python3-zope.configuration
BuildRequires:	python3-zope.deferredimport >= 4.2.1
BuildRequires:	python3-zope.deprecation >= 4.3.0
BuildRequires:	python3-zope.event
BuildRequires:	python3-zope.hookable >= 4.2.0
BuildRequires:	python3-zope.i18nmessageid
BuildRequires:	python3-zope.interface >= 5.3.0
BuildRequires:	python3-zope.location
BuildRequires:	python3-zope.proxy
BuildRequires:	python3-zope.security
BuildRequires:	python3-zope.testing
BuildRequires:	python3-zope.testrunner
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python3-repoze.sphinx.autointerface
BuildRequires:	python3-zope.deferredimport >= 4.2.1
BuildRequires:	python3-zope.deprecation >= 4.3.0
BuildRequires:	python3-zope.event
BuildRequires:	python3-zope.hookable >= 4.2.0
BuildRequires:	python3-zope.interface >= 5.3.0
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Core of the Zope Component Architecture.

%description -l pl.UTF-8
Rdzeń architektury komponentowej Zope Component Architecture.

%package apidocs
Summary:	API documentation for Python zope.deferredimport module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona zope.deferredimport
Group:		Documentation

%description apidocs
API documentation for Python zope.deferredimport module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona zope.deferredimport.

%prep
%setup -q -n zope.component-%{version}
%patch -P0 -p1

%build
%py3_build

%if %{with tests}
PYTHONPATH=$(pwd)/src \
zope-testrunner-3 --test-path=src -v
%endif

%if %{with doc}
PYTHONPATH=$(pwd)/src \
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt README.rst
%{py3_sitescriptdir}/zope/component
%{py3_sitescriptdir}/zope.component-%{version}-py*.egg-info
%{py3_sitescriptdir}/zope.component-%{version}-py*-nspkg.pth

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_modules,_static,*.html,*.js}
%endif
%changelog
* Mon May 05 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-zope.component.git;a=log;h=master

* Mon May 05 2025 Jakub Bogusz <qboosh@pld-linux.org> a971167
- updated tests

* Mon May 05 2025 Jakub Bogusz <qboosh@pld-linux.org> 3f597f7
- added fix for intersphinx mapping

* Mon May 05 2025 Jakub Bogusz <qboosh@pld-linux.org> 0d8671c
- python-zope.component.spec updated to 6.0 for python 3.7+

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> d8b5266
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> b4a831a
- python 3.13 rebuild

* Tue Sep 26 2023 Jakub Bogusz <qboosh@pld-linux.org> 44de251
- updated to 5.1.0

* Tue Apr 26 2022 Jakub Bogusz <qboosh@pld-linux.org> 89dbe56
- updated to 4.6.2, finished package

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 587f613
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> de10bd6
- Release 9 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 62d8adf
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 9019f8c
- rebuild with python 3.10

* Tue Mar 09 2021 Jan Rękorajski <baggins@pld-linux.org> bd9e867
- noarch package
- rel 6

* Sat Mar 06 2021 Jan Palus <atler@pld-linux.org> 10ac27a
- disable debug packages; rel 5

* Mon Oct 28 2019 Jakub Bogusz <qboosh@pld-linux.org> bf84847
- python3 BRs

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 964be15
- rebuild with python 3.8
- release 4 (by relup.sh)

* Mon Jul 02 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 209f6a5
- release 3 (by relup.sh)

* Fri May 04 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 60fd7ab
- Python3 support added

* Fri May 04 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 6cb5e11
- Version: 4.4.1

* Tue Dec 27 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 2afa7b0
- Zope-Component renamed to python-zope.component

* Sun Dec 06 2015 Elan Ruusamäe <glen@delfi.ee> de86075
- rebuild to include pythonegg provides

